3D causes crash when restoring project with docked 3d window

2017-12-13 01:08 PM - Tim Sutton

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25584

Description

I have my favourite 3d project. Recently I docked the 3d window and saved the project. Now whenever I open the project, QGIS crashes.

I am attaching the full stdout from my qt-creator session here. It looks like it is crashing while looking for a dem that is not loaded yet but I

could be wrong....

Associated revisions

Revision c9dba998 - 2018-01-05 12:20 AM - Martin Dobias

[3d] Fix a crash when restoring a project with bad layer ref (fixes #17687)

History

#1 - 2017-12-13 01:13 PM - Tim Sutton

Manually editing the project file and removing this snippet fixes the crash:

  <mapViewDocks3D>

    <view x="386" floating="0" height="437" y="525" name="3D Map 1" width="920" area="8">

      <qgis3d>

        <origin x="449605" z="0" y="6.2369e+6"/>

        <crs>

          <spatialrefsys>

            <proj4>+proj=utm +zone=34 +south +datum=WGS84 +units=m +no_defs</proj4>

            <srsid>3184</srsid>

            <srid>32734</srid>

            <authid>EPSG:32734</authid>

            <description>WGS 84 / UTM zone 34S</description>

            <projectionacronym>utm</projectionacronym>

            <ellipsoidacronym>WGS84</ellipsoidacronym>

            <geographicflag>false</geographicflag>

          </spatialrefsys>

        </crs>

        <terrain texture-size="256" max-ground-error="1" exaggeration="1" show-labels="1" max-terrain-error="3">

          <layers>

            <layer id="vw_trails_c1d72cef_a5bc_4367_94d7_b9e455cb0791"/>

            <layer id="trail_section_84b0fc5a_9668_40cb_98a7_b0eb5e3c184f"/>

            <layer id="trail_sections_c943f84d_1a06_461d_9ee8_cbdec791a8f1"/>

            <layer id="trail_70edc1d4_7f88_4451_9dfa_0ad93adf3cfb"/>

            <layer id="spot_heights_2062244d_d827_4ca5_a73b_32c05b045271"/>
            <layer id="buildings_fd2ea412_2de8_48e0_a153_e207b946aaa9"/>

            <layer id="water_features_3f62e681_d958_4a64_98b9_6558fcc767ac"/>

            <layer id="rivers_10b733bf_80a8_4021_962c_b2305f02352b"/>

            <layer id="roads_70c42efe_0744_4adb_9077_f1cbbb039ffe"/>

            <layer id="contours_388c3ec7_d4c7_4fa7_b504_fa20c0058dd1"/>

            <layer id="landcover_7b461cc8_9d00_4847_bbc9_e369b84e6795"/>

            <layer id="barriers_2843bb1e_4ef0_4581_9993_415a5205bd10"/>

            <layer id="2011_wards_0c28dda0_7440_45d0_9ed1_2baaa5831369"/>

          </layers>

          <generator type="dem" skirt-height="10" layer="srtm_swellendam_UTM34S_226c06c7_7760_4a7e_8963_94294ef71a14"

resolution="16"/>

        </terrain>

        <renderers/>

        <skybox enabled="0" file-ext="" file-base=""/>

        <debug bounding-boxes="0" terrain-tile-info="0"/>

      </qgis3d>

    </view>

  </mapViewDocks3D>

#2 - 2018-01-05 12:20 AM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|c9dba998adfccb509ff972450f17db9bcd42f0bd.

#3 - 2018-02-22 11:15 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

3d-crash.txt 228 KB 2017-12-13 Tim Sutton
